# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [2.0.0-alpha.4](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@2.0.0-alpha.3...rma-warranty@2.0.0-alpha.4) (2022-10-12)


### Bug Fixes

* Fixed add bulk warranty claim ([ae78b64](https://gitlab.com/castlecraft/excel-rma/commit/ae78b641a164a7700dc9076f86b527faee5a5f42))
* Fixed Date Filter on Warranty Page ([94ad324](https://gitlab.com/castlecraft/excel-rma/commit/94ad324fac08310aad180b7f5c8efe22138870c4))
* Fixed Status History table ([3e2a0f1](https://gitlab.com/castlecraft/excel-rma/commit/3e2a0f1c0d0dca30825e4609e9ec17cdd10cc2e4))
* Fixed warranty claim status warehouse ([793931d](https://gitlab.com/castlecraft/excel-rma/commit/793931d8f2cb34f0ad25120ab47d73d70f00b0df))
* Fixed Warranty Service Invoice sync ([650d8aa](https://gitlab.com/castlecraft/excel-rma/commit/650d8aa388c56f58487e8be8303c6ecc7976da3c))
* Fixed warranty stock entry ([406ae8e](https://gitlab.com/castlecraft/excel-rma/commit/406ae8e76d436dfbb3d998580882a430c6cb9a57))





# [2.0.0-alpha.3](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@2.0.0-alpha.2...rma-warranty@2.0.0-alpha.3) (2022-08-25)


### Bug Fixes

* added submit column in csv dump ([f02de7c](https://gitlab.com/castlecraft/excel-rma/commit/f02de7c2d3a21ee0de5ecb13fb0994a928b9dc84))
* Fixed add warranty claim page ([652feb4](https://gitlab.com/castlecraft/excel-rma/commit/652feb4a4fbfd64e84edeb29c5d3612cc5b1f7e8))
* Fixed lint issues ([77b27d5](https://gitlab.com/castlecraft/excel-rma/commit/77b27d5bffd1ea9fa57a95c8bc9309056b021533))
* Fixed Replce Product issue in warranty ([9f37f35](https://gitlab.com/castlecraft/excel-rma/commit/9f37f3527a237a0893ba8cf5e8b321de39eb259b))
* Fixed stock entry return issue ([5d98380](https://gitlab.com/castlecraft/excel-rma/commit/5d98380e885e0ac4fbf6eaf011ec4ae5363c14dc))
* Fixed Stock Entry ui in Warranty ([4ad2989](https://gitlab.com/castlecraft/excel-rma/commit/4ad29893da47ff59dfc4f2f866e5dbcf134c9bd7))
* Fixed warehouse issue in stock entry ([5233cc1](https://gitlab.com/castlecraft/excel-rma/commit/5233cc1cac3940ca9806ee900535309ab144cfad))
* Fixed warranty lint issue ([848ad6e](https://gitlab.com/castlecraft/excel-rma/commit/848ad6ee2c77140cfe7f7d44f59dbb2a0bba62da))
* Fixed warranty lstock entry page ([b63f230](https://gitlab.com/castlecraft/excel-rma/commit/b63f230816ba34f82083bb6ef052d37ba04bb747))
* Fixed Warranty print issue ([fb5f831](https://gitlab.com/castlecraft/excel-rma/commit/fb5f831cfa2126009ff3d76ebde5b8fde54750d0))
* Fixed Warranty Stock Entry issues ([54af64e](https://gitlab.com/castlecraft/excel-rma/commit/54af64e23a5db3d2f633ce8ad49fac54f8d1aff7))
* Fixed Warranty Stock Entry Spare Parts issue ([4d17bed](https://gitlab.com/castlecraft/excel-rma/commit/4d17bed2292cb2860cf3fc9073c8a8e39a319461))
* Fixed Warranty Stock logic ([fc3c074](https://gitlab.com/castlecraft/excel-rma/commit/fc3c07423228ce02d3569b609d88274cdef4e01f))
* FOptimized Add Warranty Page ([8149788](https://gitlab.com/castlecraft/excel-rma/commit/8149788c61899cf9cbe69e9f10abd328848dc822))
* **rma-warranty:** discard changes ([8cd3def](https://gitlab.com/castlecraft/excel-rma/commit/8cd3defc4f3478da92647570c50565a2fab124e4))
* **rma-warranty:** fix bulk claim parent button ([6a736ee](https://gitlab.com/castlecraft/excel-rma/commit/6a736eea54ab0f30e85cb1eb1feedea119db256e))
* **rma-warranty:** fixed add warranty serial field ([33da4f4](https://gitlab.com/castlecraft/excel-rma/commit/33da4f47e827ff2feb36bd89ff325c93d8a91ca6))
* **rma-warranty:** fixed warranty claim filters ([6e2e346](https://gitlab.com/castlecraft/excel-rma/commit/6e2e34657b5038eaf72aefd7f375bfd6bb6d317a))
* **rma-warranty:** fixed warranty dump ([39aaf21](https://gitlab.com/castlecraft/excel-rma/commit/39aaf21e91b63568d9a6a0d0b4e840a0c5fdb796))
* **rma-warranty:** fixed warranty filters ([fadea2e](https://gitlab.com/castlecraft/excel-rma/commit/fadea2ed5faba93a8471850c2fc85f4b91700bbb))
* **rma-warranty:** show bulk claim number ([9fa88ef](https://gitlab.com/castlecraft/excel-rma/commit/9fa88ef4064327a493eba2ab78727da33d538b0d))
* search and clear button on add warranty claim ([a54744f](https://gitlab.com/castlecraft/excel-rma/commit/a54744f41c0dd6af8d516891d9a9fb0d4e32b66c))


### Features

* Added Snackbar function ([aefcb9b](https://gitlab.com/castlecraft/excel-rma/commit/aefcb9b93f05876cb28ec47471d3c282c16d943d))
* **rma-frontend:** stock entry fields ([7a32999](https://gitlab.com/castlecraft/excel-rma/commit/7a32999d0de1b89b158c9eadff94bd1316b63dfa))
* **rma-warranty:** added bulk claim parent button ([de9123b](https://gitlab.com/castlecraft/excel-rma/commit/de9123bbcbb69c3f752c7ba4ef66817e8efd27e0))





# [2.0.0-alpha.2](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@2.0.0-alpha.1...rma-warranty@2.0.0-alpha.2) (2022-07-17)

**Note:** Version bump only for package rma-warranty





# [2.0.0-alpha.1](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@2.0.0-alpha.0...rma-warranty@2.0.0-alpha.1) (2022-07-04)

**Note:** Version bump only for package rma-warranty





## [1.8.1](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.8.0...rma-warranty@1.8.1) (2021-09-07)

**Note:** Version bump only for package rma-warranty





# [1.8.0](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.7.0...rma-warranty@1.8.0) (2021-06-12)


### Bug Fixes

* **rma-warranty:** fixed service invoice for warranty claim ([0cf635d](https://gitlab.com/castlecraft/excel-rma/commit/0cf635d4f65be76de235e2bc01cb453542014400))


### Features

* **rma-frontend:** Update role permissions for item price ([83ab63d](https://gitlab.com/castlecraft/excel-rma/commit/83ab63dde0b7a335213d5797ada12b9b4b0187e4))
* **rma-warranty:** Added filters on service invoice page ([f37fd12](https://gitlab.com/castlecraft/excel-rma/commit/f37fd1214f5987b51a9c82f9972cecf13b14a674))
* **rma-warranty:** Added filters on service invoice page...1 ([2cf2900](https://gitlab.com/castlecraft/excel-rma/commit/2cf2900e45b0418254b3829c159856ca16722227))
* **rma-warranty:** Added Sync data button on warranty service invoice page ([2ad7cf6](https://gitlab.com/castlecraft/excel-rma/commit/2ad7cf6871abea4a1eec4c6e4de23c3af2fc1810))
* **rma-warranty:** Added Sync data button on warranty service invoice page...1 ([f649770](https://gitlab.com/castlecraft/excel-rma/commit/f6497701ec8287475e39970b78856b48393e9e12))
* **rma-warranty:** Added Sync data button on warranty service invoice page...2 ([0a75024](https://gitlab.com/castlecraft/excel-rma/commit/0a7502473c6d489476c814d8e70ea6d5e7c3b667))
* **rma-warranty:** Added Sync data button on warranty service invoice page...3 ([5deb5bb](https://gitlab.com/castlecraft/excel-rma/commit/5deb5bb2a4d64c90e110d791e0833e0982020791))
* **rma-warranty:** Added Sync data button on warranty service invoice page...4 ([7dbd844](https://gitlab.com/castlecraft/excel-rma/commit/7dbd844b29b591200aebb64ee4c70f516c0e9b73))





# [1.7.0](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.6.5...rma-warranty@1.7.0) (2021-05-21)


### Bug Fixes

* **rma-frontend:** fixed table design on warranty page ([b6cbe85](https://gitlab.com/castlecraft/excel-rma/commit/b6cbe855be0411bce4d1276af706ba3e7fa9b426))
* **rma:warranty:** Warranty table pagination fix ([c2a2da3](https://gitlab.com/castlecraft/excel-rma/commit/c2a2da35b567433545f9ecbbed037cf61fa0aa5a))


### Features

* **rma-warranty:** Added Service Invoice page...1 ([41ecb44](https://gitlab.com/castlecraft/excel-rma/commit/41ecb441bcd7c2f7ee7c4003b5f5556770d61536))
* **rma-warranty:** Added title on service invoice page ([0f3f1e5](https://gitlab.com/castlecraft/excel-rma/commit/0f3f1e5b49b6628ed6e216d0cdbda19abcd19156))
* **rma-warranty:** Added title on service invoice page...1 ([61acf5b](https://gitlab.com/castlecraft/excel-rma/commit/61acf5b96d9c1f228a2c458403fb79b1a63ddf19))
* **rma-warranty:** download CSV button added in service invoice page. ([9f957a2](https://gitlab.com/castlecraft/excel-rma/commit/9f957a287afb9494c4749970ece9a71a0d8f893b))
* **rma:warranty:** Changed Shared module name ([cb1130d](https://gitlab.com/castlecraft/excel-rma/commit/cb1130ddfce5482922ee4c9603dfb2a2f9f57a69))
* **rma:warranty:** Service invoice added to shared ([08c5c29](https://gitlab.com/castlecraft/excel-rma/commit/08c5c293cab144d425912bd3e7e7e41d8b1207dd))
* **rma:warranty:** Service invoice for bulk claims added ([98e3d7f](https://gitlab.com/castlecraft/excel-rma/commit/98e3d7ff8c80f381280f6114d60e4f6cf0a46df9))





## [1.6.5](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.6.4...rma-warranty@1.6.5) (2021-04-12)

**Note:** Version bump only for package rma-warranty





## [1.6.4](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.6.3...rma-warranty@1.6.4) (2021-03-24)


### Bug Fixes

* **rma-warranty:** Filters fixed on Warranty Page ([4457d93](https://gitlab.com/castlecraft/excel-rma/commit/4457d93cda56a17e8962cd7d0cda4df4cf89fe94))





## [1.6.3](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.6.2...rma-warranty@1.6.3) (2021-03-13)

**Note:** Version bump only for package rma-warranty





## [1.6.2](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.6.1...rma-warranty@1.6.2) (2021-03-10)


### Bug Fixes

* **rma-warranty:** Fixed filters on Create Service Invoice page ([9de2a79](https://gitlab.com/castlecraft/excel-rma/commit/9de2a79a6db3bc8a492d057c8185d628a22a5de1))
* **rma-warranty:** Fixed filters on Create Service Invoice page 1 ([59819a8](https://gitlab.com/castlecraft/excel-rma/commit/59819a82c3e029c3c321492737172328a4525275))





## [1.6.1](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.6.0...rma-warranty@1.6.1) (2021-03-09)

**Note:** Version bump only for package rma-warranty





# [1.6.0](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.5.1...rma-warranty@1.6.0) (2021-03-08)


### Bug Fixes

* **rma-warranty:** Fixed all filters on Warranty page ([361aa73](https://gitlab.com/castlecraft/excel-rma/commit/361aa7377321e30ac2030b11f9acf8a5590e262c))
* **warranty-UI:** Fix add warranty claim creation page ([8bcd315](https://gitlab.com/castlecraft/excel-rma/commit/8bcd31550cc2414cbb9170516789a87ad48eb3d0))


### Features

* **Excel-Warranty:** Fix bugs on add warranty claim ([18af6e4](https://gitlab.com/castlecraft/excel-rma/commit/18af6e40fbfa99a3ceccc81a5f8bce7cba0df277))





## [1.5.1](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.5.0...rma-warranty@1.5.1) (2021-03-06)

**Note:** Version bump only for package rma-warranty





# [1.5.0](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.4.1...rma-warranty@1.5.0) (2021-02-27)


### Features

* **rma-warranty:** Add favIcon to Warranty App ([7131bd2](https://gitlab.com/castlecraft/excel-rma/commit/7131bd2055e02185e60b38cad51ef8437334ec41))
* **rma-warranty:** Add favIcon to Warranty App 1 ([d40dd26](https://gitlab.com/castlecraft/excel-rma/commit/d40dd26afdc584ae8834b539e632bc4447985d2c))





## [1.4.1](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.4.0...rma-warranty@1.4.1) (2021-02-21)

**Note:** Version bump only for package rma-warranty





# [1.4.0](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.3.0...rma-warranty@1.4.0) (2021-02-18)


### Features

* **Excel-rma:** Add brand settings and favicon in global defaults ([7aa4c8f](https://gitlab.com/castlecraft/excel-rma/commit/7aa4c8f7f4a05ea3db72bfba7c4c46fe688d9d4a))





# [1.3.0](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.2.0...rma-warranty@1.3.0) (2021-02-09)


### Features

* **rma-warranty:** Clear filter button added on Serial Search page ([fa24983](https://gitlab.com/castlecraft/excel-rma/commit/fa2498327fa035158c3a5e74039dc9eff17f1731))
* **rma-warranty:** Token Generation added on Warranty page and updated on Frontend page ([6fe3a8a](https://gitlab.com/castlecraft/excel-rma/commit/6fe3a8a1914e3dde070052c47b69dfdb924bf24d))





# [1.2.0](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.1.1...rma-warranty@1.2.0) (2021-02-03)


### Features

* **rma-warranty:** logout from erp on logout from custom app ([d7303e3](https://gitlab.com/castlecraft/excel-rma/commit/d7303e3fa01d653cdd3e9f6d635b376e6dfa4693))





## [1.1.1](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.1.0...rma-warranty@1.1.1) (2021-01-27)


### Bug Fixes

* **excel-rma:** Add fixes for item-price, stock, webhooks ([ce7c597](https://gitlab.com/castlecraft/excel-rma/commit/ce7c597cfd14691cabd0cba66a0cfec080ada4df))





# [1.1.0](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.0.1...rma-warranty@1.1.0) (2021-01-23)


### Features

* **rma-frontend:** Single Serial search and combined Item and Warehouse search added ([62f5a95](https://gitlab.com/castlecraft/excel-rma/commit/62f5a957089f4aae0eb5a5e38920aec1226370c9))





## [1.0.1](https://gitlab.com/castlecraft/excel-rma/compare/rma-warranty@1.0.0...rma-warranty@1.0.1) (2021-01-23)

**Note:** Version bump only for package rma-warranty
